Name: H5Zfilter_avail
Signature:
  htri_t `H5Zfilter_avail`(H5Z_filter_t `filter`)
Purpose:
  Determines whether a filter is available.
Description:
  `H5Zfilter_avail` determines whether the filter specified in `filter` is available to the application.
Parameters:

H5Z_filter_t `filter` | IN: Filter identifier. See the introduction to this section of the reference manual for a list of valid filter identifiers.

Returns:
  Returns a Boolean value (`TRUE`/`FALSE`) if successful; otherwise returns a negative value.
Fortran90 Interface: h5zfilter_avail_f

      SUBROUTINE h5zfilter_avail_f(filter, status, hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(IN)  :: filter     ! Filter
                                           ! Valid values are:
                                           !    H5Z_FILTER_DEFLATE_F
                                           !    H5Z_FILTER_SHUFFLE_F
                                           !    H5Z_FILTER_FLETCHER32_F
                                           !    H5Z_FILTER_SZIP_F
        LOGICAL, INTENT(OUT) :: status     ! Flag indicating whether
                                           ! filter is available:
                                           !    .TRUE.
                                           !    .FALSE.
      END SUBROUTINE h5zfilter_avail_f

History:

Release | C
1.6.0 | Function introduced in this release.